library tunesearchexample_mockcore;

import 'package:tunesearchexample_core_ports/tunesearchexample_core_ports.dart';
import 'package:tunesearchexample_mockcore/concrete_track.dart';
import 'package:tunesearchexample_mockcore/concrete_track_collection.dart';

class MockSearchTracksCommand implements AbstractSearchTracksCommand {
  @override
  Future<List<ConcreteTrackCollection>> execute({SearchTerm inDTO}) async {
    return [
      ConcreteTrackCollection(name: "From Here to Now to You", tracks: [
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "From Here to Now to You",
            trackName: "I Got You",
            trackNumber: 1,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/87/00/83/8700835d-d21f-d862-d816-62966095521e/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "From Here to Now to You",
            trackName: "You Remind Me of You",
            trackNumber: 8,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/87/00/83/8700835d-d21f-d862-d816-62966095521e/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "From Here to Now to You",
            trackName: "Home",
            trackNumber: 12,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/87/00/83/8700835d-d21f-d862-d816-62966095521e/source/100x100bb.jpg"),
      ]),
      ConcreteTrackCollection(
          name: "In Between Dreams (Bonus Track Version)",
          tracks: [
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Better Together",
                trackNumber: 1,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Never Know",
                trackNumber: 2,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Banana Pancakes",
                trackNumber: 3,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Good People",
                trackNumber: 4,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "No Other Way",
                trackNumber: 5,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Staple It Together",
                trackNumber: 7,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Situations",
                trackNumber: 8,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Crying Shame",
                trackNumber: 9,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "If I Could",
                trackNumber: 10,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Breakdown",
                trackNumber: 11,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Belle",
                trackNumber: 12,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Do You Remember",
                trackNumber: 13,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Constellations",
                trackNumber: 14,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName: "In Between Dreams (Bonus Track Version)",
                trackName: "Constellations",
                trackNumber: 15,
                discNumber: 1,
                artworkUrl:
                "https://is2-ssl.mzstatic.com/image/thumb/Music118/v4/24/46/97/24469731-f56f-29f6-67bd-53438f59ebcb/source/100x100bb.jpg"),
          ]),
      ConcreteTrackCollection(
          name:
          "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
          tracks: [
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Upside Down",
                trackNumber: 1,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Broken",
                trackNumber: 2,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "People Watching",
                trackNumber: 3,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Wrong Turn",
                trackNumber: 4,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Talk of the Town (feat. Kawika Kahiapo)",
                trackNumber: 5,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Jungle Gym (feat. G. Love)",
                trackNumber: 6,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "We're Going To Be Friends",
                trackNumber: 7,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "The Sharing Song",
                trackNumber: 8,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "The 3 R's",
                trackNumber: 9,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Lullaby (feat. Matt Costa)",
                trackNumber: 10,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "My Own Two Hands (feat. Ben Harper)",
                trackNumber: 11,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Questions",
                trackNumber: 12,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Supposed To Be",
                trackNumber: 13,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
            ConcreteTrack(
                artistName: "Jack Johnson",
                collectionName:
                "Jack Johnson and Friends: Sing-A-Longs and Lullabies for the Film Curious George",
                trackName: "Upside Down (feat. Money Mark)",
                trackNumber: 14,
                discNumber: 1,
                artworkUrl:
                "https://is4-ssl.mzstatic.com/image/thumb/Music123/v4/be/38/d0/be38d058-31ed-c0ea-91e6-12052865fd20/source/100x100bb.jpg"),
          ]),
      ConcreteTrackCollection(name: "Sleep Through the Static", tracks: [
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "Sleep Through the Static",
            trackName: "Angel",
            trackNumber: 4,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/49/09/ff/4909ffd6-9051-c729-7761-3dfcc183333c/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "Sleep Through the Static",
            trackName: "If I Had Eyes",
            trackNumber: 6,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/49/09/ff/4909ffd6-9051-c729-7761-3dfcc183333c/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "Sleep Through the Static",
            trackName: "Same Girl",
            trackNumber: 7,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/49/09/ff/4909ffd6-9051-c729-7761-3dfcc183333c/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "Sleep Through the Static",
            trackName: "What You Thought You Need",
            trackNumber: 8,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/49/09/ff/4909ffd6-9051-c729-7761-3dfcc183333c/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "Sleep Through the Static",
            trackName: "Go On",
            trackNumber: 10,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/49/09/ff/4909ffd6-9051-c729-7761-3dfcc183333c/source/100x100bb.jpg"),
      ]),
      ConcreteTrackCollection(name: "To the Sea (Bonus Track Version)", tracks: [
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "You and Your Heart",
            trackNumber: 1,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "To the Sea",
            trackNumber: 2,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "No Good With Faces",
            trackNumber: 3,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "At Or With Me",
            trackNumber: 4,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "When I Look Up",
            trackNumber: 5,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "From the Clouds",
            trackNumber: 6,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "My Little Girl",
            trackNumber: 7,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Turn Your Love",
            trackNumber: 8,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "The Upsetter",
            trackNumber: 9,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Red Wine, Mistakes, Mythology",
            trackNumber: 10,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Pictures of People Taking Pictures",
            trackNumber: 11,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Anything But the Truth",
            trackNumber: 12,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Only the Ocean",
            trackNumber: 13,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
        ConcreteTrack(
            artistName: "Jack Johnson",
            collectionName: "To the Sea (Bonus Track Version)",
            trackName: "Better Together (feat. Paula Fuga)",
            trackNumber: 14,
            discNumber: 1,
            artworkUrl:
            "https://is5-ssl.mzstatic.com/image/thumb/Music118/v4/42/24/53/422453e1-9a78-34e6-6491-3c54469c28ec/source/100x100bb.jpg"),
      ]),
    ];
  }
}
